org.apache.log4j

## Class VectorAppender

- java.lang.Object
- - org.apache.log4j.AppenderSkeleton
  - - org.apache.log4j.VectorAppender

- All Implemented Interfaces:
    Appender, OptionHandler

      public class VectorAppender
      extends AppenderSkeleton

  An appender that appends logging events to a vector.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Vector` | `vector`

    - ### Fields inherited from class org.apache.log4j.AppenderSkeleton

      `closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VectorAppender()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateOptions()` Does nothing.
    `void` | `append(LoggingEvent event)` This method is called by the `AppenderSkeleton.doAppend(org.apache.log4j.spi.LoggingEvent)` method.
    `void` | `close()`
    `Vector` | `getVector()`
    `boolean` | `isClosed()`
    `boolean` | `requiresLayout()`

    - ### Methods inherited from class org.apache.log4j.AppenderSkeleton

      `addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vector

          public Vector vector

  - ### Constructor Detail

    - #### VectorAppender

          public VectorAppender()

  - ### Method Detail

    - #### activateOptions

          public void activateOptions()

      Does nothing.
      Specified by:
        `activateOptions` in interface `OptionHandler`
      Overrides:
        `activateOptions` in class `AppenderSkeleton`

    - #### append

          public void append(LoggingEvent event)

      This method is called by the `AppenderSkeleton.doAppend(org.apache.log4j.spi.LoggingEvent)` method.
      Specified by:
        `append` in class `AppenderSkeleton`

    - #### getVector

          public Vector getVector()

    - #### close

          public void close()

    - #### isClosed

          public boolean isClosed()

    - #### requiresLayout

          public boolean requiresLayout()

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.